Commit d2a01339 authored by Jaden's avatar Jaden Committed by Samuel GAIST

[schema] specify draft7 json schema

Also bumps the jsonschema version requirement
parent a3fa6bf7
...@@ -105,7 +105,7 @@ def load_schema(schema_name, version=1): ...@@ -105,7 +105,7 @@ def load_schema(schema_name, version=1):
resolver = jsonschema.RefResolver("file://" + basedir + "/", schema) resolver = jsonschema.RefResolver("file://" + basedir + "/", schema)
# now we load it # now we load it
return jsonschema.Draft4Validator(schema, resolver=resolver) return jsonschema.Draft7Validator(schema, resolver=resolver)
def validate(schema_name, data): def validate(schema_name, data):
......
...@@ -31,7 +31,7 @@ requirements: ...@@ -31,7 +31,7 @@ requirements:
- docker-py - docker-py
- docopt - docopt
- python-graphviz - python-graphviz
- jsonschema - jsonschema >=3.0.0
- numpy - numpy
- pip - pip
- pyzmq - pyzmq
......
...@@ -2,7 +2,7 @@ beat.backend.python>=1.6.0a0 ...@@ -2,7 +2,7 @@ beat.backend.python>=1.6.0a0
docker docker
docopt docopt
graphviz graphviz
jsonschema jsonschema>=3.0.0
numpy numpy
pip pip
pyzmq pyzmq
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment